const {ipcRenderer} = window.require('electron')

export function electronStorage() {
    return {
        getItem:
            (key) => {
                return ipcRenderer.invoke("electronStoreGet", key)
            },
        setItem:
            (key, item) => {
                return ipcRenderer.invoke("electronStoreSave", key, item)
            },
        removeItem:
            (key) => {
                return ipcRenderer.invoke("electronStoreDelete", key)
            }
    }
}