export const assemblyRequest = (sort, filter, params) => {
    const pageNumber=params.current
    const size=params.pageSize
    // 移除多余变量
    const {current,pageSize,...data}=params
    // 组装排序
    const sortList = Object.entries(sort).map(sortParam=>({
        property:sortParam[0],
        direction:sortParam[1]==="ascend"?"ASC":"DESC",
    }))
    return { 
        pageNumber, 
        pageSize:size, 
        data, 
        sortList
    }
}